%global momorel 1

Summary: HP Printer Drivers
Name: hpijs
Version: 1.6
Release: %{momorel}m
Group: Applications/Publishing
License: Modified BSD
Source0: http://dl.sf.net/sourceforge/hpinkjet/%{name}-%{version}.tar.gz
NoSource: 0
Source1: http://www.linuxprinting.org/download/printing/hpijs/README.txt

# Use only black ink for black text and not a mix of all four inks 
# when printing in color (for DJ6xx, DJ8xx, DJ9xx).
# Original patch is available at
#    http://www.linuxprinting.org/download/printing/hpijs/hpijs-1.3-rss.1.patch
Patch0: hpijs-1.4.1-rss.1.patch
BuildRequires: gcc-c++ >= 3.4.1-1m
URL: http://hpinkjet.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
hpijs is a collection of optimized drivers for HP printers.
hpijs supports the DeskJet 350C, 600C, 600C Photo, 630C, Apollo 2000,
Apollo 2100, Apollo 2560, DeskJet 800C, DeskJet 825, DeskJet 900,
PhotoSmart, DeskJet 990C and PhotoSmart 100 series.

%prep
%setup -q
%patch0 -p1 -b .rss~
cp -p %SOURCE1 README-rss.txt

%build
%configure --disable-cups-install --disable-foomatic-install
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc hpijs_readme.html gs_hpijs.png README-rss.txt
%{_bindir}/*

%changelog
* Wed Sep  1 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.6-1m)
- update to 1.6 (rebuild against gcc-c++-3.4.1)

* Sun Oct 19 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.5-1m)
- update to 1.5

* Fri Oct 03 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.1-2m)
- capitalize License: 'M'odified BSD for speclint

* Sat Jul  5 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.4.1-1m)
- update to 1.4.1

* Sat Mar  8 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.1-2m)
- add URL tag

* Wed Feb 12 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.3.1-1m)
- update to 1.3.1
- add BuildRequires: libstdc++-devel

* Wed Jan  1 2003 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (1.3-4m)
- add README of hpijs-rss.patch

* Sun Dec 22 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (1.3-3m)
- separated from ghostscript
